------------------------------------------------------------------------
r43435 | gerald | 2012-06-21 12:34:13 -0700 (Thu, 21 Jun 2012) | 2 lines
Changed paths:
   M /trunk-1.8/config.nmake
   M /trunk-1.8/configure.in
   M /trunk-1.8/debian/changelog
   M /trunk-1.8/debian/wireshark-common.files
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/epan/Makefile.am
   M /trunk-1.8/make-version.pl
   M /trunk-1.8/version.conf
   M /trunk-1.8/wiretap/Makefile.am

1.8.0 → 1.8.1.

------------------------------------------------------------------------
r43445 | guy | 2012-06-23 01:42:29 -0700 (Sat, 23 Jun 2012) | 13 lines
Changed paths:
   M /trunk-1.8/ui/gtk/capture_file_dlg.c
   M /trunk-1.8/ui/win32/file_dlg_win32.c
   M /trunk-1.8/ui/win32/file_dlg_win32.h

Copy over r43444 from the trunk:

  ------------------------------------------------------------------------
  r43444 | guy | 2012-06-23 01:18:14 -0700 (Sat, 23 Jun 2012) | 8 lines

  In the Windows capture file "Save As" dialog code, do the same sort of
  checks for the inability to save comments that we do for UN*X.  This
  should fix bug 7222, although the UI isn't currently as nice, as the
  dialog boxes are Windows dialog boxes and we don't set the button labels
  to reflect the actual choices being offered to the user.  (We may be
  able to do that by using template resources to construct the message
  boxes.)

------------------------------------------------------------------------
r43453 | gerald | 2012-06-24 07:33:58 -0700 (Sun, 24 Jun 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2012-06-24]
------------------------------------------------------------------------
r43470 | gerald | 2012-06-24 16:54:26 -0700 (Sun, 24 Jun 2012) | 2 lines
Changed paths:
   M /trunk-1.8/tools/git-compare-abis.sh

"git describe --tags --abbrev=0" should work now. Use it.

------------------------------------------------------------------------
r43476 | guy | 2012-06-25 10:57:45 -0700 (Mon, 25 Jun 2012) | 8 lines
Changed paths:
   M /trunk-1.8/ui/gtk/capture_file_dlg.c

Copy over r43475 from trunk:

  ------------------------------------------------------------------------
  r43475 | guy | 2012-06-25 10:56:29 -0700 (Mon, 25 Jun 2012) | 3 lines

  In the "Save As" dialog box, default to compressed if the file is
  compressed and the default file format supports compression.

------------------------------------------------------------------------
r43478 | guy | 2012-06-25 11:38:51 -0700 (Mon, 25 Jun 2012) | 33 lines
Changed paths:
   M /trunk-1.8/file.c
   M /trunk-1.8/file.h
   M /trunk-1.8/ui/gtk/main_menubar.c
   M /trunk-1.8/ui/gtk/main_toolbar.c

Copy over r43477 from the trunk:

  ------------------------------------------------------------------------
  r43477 | guy | 2012-06-25 11:37:52 -0700 (Mon, 25 Jun 2012) | 28 lines

  Only allow "Save" if

	the file has unsaved changes, and we can save it in some format
	through Wiretap

  or

	the file is a temporary file and has no unsaved changes (so that
	"saving" it just means copying it).

  Only allow "Save As" if

	we can save it in some format through Wiretap

  or

	the file is a temporary file and has no unsaved changes (so that
	"saving" it just means copying it).

  This means that we don't support using "Save As" for just copying the
  file unless we can do that with Wiretap; copying the file byte-for-byte
  only works as "saving" if there are no unsaved changes *and* we're
  saving it in the same format that it's in *and* we're saving it with the
  same form of compression (if any) that it has.

  Rename cf_can_save_as() to cf_can_write_with_wiretap() to better reflect
  what it really does.

------------------------------------------------------------------------
r43494 | guy | 2012-06-25 21:26:48 -0700 (Mon, 25 Jun 2012) | 8 lines
Changed paths:
   M /trunk-1.8/ui/gtk/main_toolbar.c

Copy over r43493 from the trunk:

  ------------------------------------------------------------------------
  r43493 | guy | 2012-06-25 21:26:04 -0700 (Mon, 25 Jun 2012) | 3 lines

  Have the toolbar "Save" button just be a "Save" button, working the same
  as the File -> Save menu item.

------------------------------------------------------------------------
r43499 | morriss | 2012-06-26 13:43:55 -0700 (Tue, 26 Jun 2012) | 12 lines
Changed paths:
   M /trunk-1.8/doc/Makefile.am

Copy over from trunk:

------------------------------------------------------------------------
r43498 | morriss | 2012-06-26 16:41:28 -0400 (Tue, 26 Jun 2012) | 6 lines

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7406 :

Build the idl2wrs man page (including the HTML version) but don't install
them: a developer might want to read the man page and the Debian development
package wants to install them.


------------------------------------------------------------------------
r43502 | guy | 2012-06-26 22:17:38 -0700 (Tue, 26 Jun 2012) | 12 lines
Changed paths:
   M /trunk-1.8/dumpcap.c

Copy over r43501 from the trunk:

  ------------------------------------------------------------------------
  r43501 | guy | 2012-06-26 22:13:06 -0700 (Tue, 26 Jun 2012) | 7 lines

  Don't supply a fallback error message for pcap_open() unless it actually
  fails.

  This may clear up the problem most recently reported in bug 7021 after
  the crash was fixed, where the capture starts successfully but an error
  dialog pops up.

------------------------------------------------------------------------
r43512 | wmeier | 2012-06-27 08:19:24 -0700 (Wed, 27 Jun 2012) | 32 lines
Changed paths:
   M /trunk-1.8/ui/gtk/dfilter_expr_dlg.c
   M /trunk-1.8/ui/gtk/proto_hier_tree_model.c

Copy over r43506, r43507 and r43511 from trunk:

------------------------------------------------------------------------
r43506 | wmeier | 2012-06-27 09:37:13 -0400 (Wed, 27 Jun 2012) | 7 lines

From Jakub Zawadzki: Fix "typeahead search broken in Display Filter Expression Window"

Revert SVN #42291.

Fixes Bug #7412: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7412

------------------------------------------------------------------------
r43507 | wmeier | 2012-06-27 09:57:39 -0400 (Wed, 27 Jun 2012) | 7 lines

Fix for "predefined values sometimes missing in Display Filter Expression window.

See https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7413

Essentially: BASE_CUSTOM was being used as a mask rather than a field value.

------------------------------------------------------------------------
r43511 | wmeier | 2012-06-27 10:58:32 -0400 (Wed, 27 Jun 2012) | 9 lines

Commit file which should have been part of SVN #43506

From Jakub Zawadzki: Fix "typeahead search broken in Display Filter Expression Window"

 Revert SVN #42291.

 Fixes Bug #7412: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7412


------------------------------------------------------------------------
r43552 | gerald | 2012-07-01 07:34:00 -0700 (Sun, 01 Jul 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2012-07-01]
------------------------------------------------------------------------
r43562 | guy | 2012-07-03 13:20:37 -0700 (Tue, 03 Jul 2012) | 23 lines
Changed paths:
   M /trunk-1.8/Makefile.am

Copy over r43561 from trunk:

  ------------------------------------------------------------------------
  r43561 | guy | 2012-07-03 13:12:50 -0700 (Tue, 03 Jul 2012) | 18 lines

  As per Gentoo bug 423743

	https://bugs.gentoo.org/show_bug.cgi?id=423743

  "The Makefile.am claims including GLIB_LIBS when linking wireshark is
  unnecessary, because wireshark links to GTK_LIBS which is a superset.
  It is not actually a superset: gmodule is included in GLIB_LIBS but
  not in GTK_LIBS (unless accidentally on older glibs/gtks)."

  so we must explicitly link with GLIB_LIBS.

  Update the comment to reflect that - and to reflect that GTK+ doesn't
  necessarily run atop X11 - while we're at it.

  Fixes bug 7427.

  #BACKPORT

------------------------------------------------------------------------
r43612 | gerald | 2012-07-08 07:33:57 -0700 (Sun, 08 Jul 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2012-07-08]
------------------------------------------------------------------------
r43650 | guy | 2012-07-10 12:17:01 -0700 (Tue, 10 Jul 2012) | 13 lines
Changed paths:
   M /trunk-1.8/wiretap/pcapng.c

Copy over r43649 from the trunk:

  ------------------------------------------------------------------------
  r43649 | guy | 2012-07-10 12:12:37 -0700 (Tue, 10 Jul 2012) | 10 lines

  When writing an EPB, calculate the time stamp based on the resolution
  for the interface, not based on the default resolution of 1 microsecond.
  Fixes bug 7457.

  Fix a comment.

  Clean up indentation.

------------------------------------------------------------------------
r43653 | guy | 2012-07-10 13:00:39 -0700 (Tue, 10 Jul 2012) | 11 lines
Changed paths:
   M /trunk-1.8/wiretap/file_access.c

Copy over r43652 from trunk:

  ------------------------------------------------------------------------
  r43652 | guy | 2012-07-10 12:59:39 -0700 (Tue, 10 Jul 2012) | 6 lines

  Set the time units per second correctly if, in wtap_dump_open_ng(),
  we're making a fake interface description (it should match the time
  stamp resolution).  The dump code for pcap-NG now requires the time
  units per second value, as it needs to correctly compute the time stamp
  value to write out in an EPB.

------------------------------------------------------------------------
r43656 | guy | 2012-07-10 20:51:22 -0700 (Tue, 10 Jul 2012) | 11 lines
Changed paths:
   M /trunk-1.8/wiretap/file_access.c

Copy over r43655 from trunk:

  ------------------------------------------------------------------------
  r43655 | guy | 2012-07-10 20:50:28 -0700 (Tue, 10 Jul 2012) | 8 lines

  AARGH.  There are two lumps of (almost-)identical code to handle
  interface information when opening an output file, one of which I fixed
  in my previous checkin and the other of which I didn't notice.  Shuffle
  code around a little bit so that the lumps are identical and then put
  them into a common routine (*with* the fix in question).

------------------------------------------------------------------------
r43658 | guy | 2012-07-10 20:58:12 -0700 (Tue, 10 Jul 2012) | 17 lines
Changed paths:
   M /trunk-1.8/wiretap/pcapng.c

Copy over r43657 from trunk:

  ------------------------------------------------------------------------
  r43657 | guy | 2012-07-10 20:57:13 -0700 (Tue, 10 Jul 2012) | 14 lines

  Don't ask for information about an interface greater than the maximum
  interface for which we have information.

  Fixes bug 7467.

  Should also cause an error message, rather than an unreadable capture
  file, to be produced for the cases in bug 7381.  (This isn't a fix for
  bug 7381; it's arguably an improvement, in the sense that a circuit
  breaker tripping or a fuse blowing for a short circuit is an improvement
  over a fire starting, but it's not a *fix*, any more than a circuit
  break or fuse *fixes* the short circuit.)

------------------------------------------------------------------------
r43721 | gerald | 2012-07-15 07:34:01 -0700 (Sun, 15 Jul 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2012-07-15]
------------------------------------------------------------------------
r43799 | guy | 2012-07-18 16:00:46 -0700 (Wed, 18 Jul 2012) | 8 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-bittorrent.c

Copy over r43798 from the trunk:

  ------------------------------------------------------------------------
  r43798 | guy | 2012-07-18 15:59:54 -0700 (Wed, 18 Jul 2012) | 3 lines

  Fix a non-proto_tree_add_item() passing an ENC_ value as the last
  argument.

------------------------------------------------------------------------
r43801 | guy | 2012-07-18 16:14:48 -0700 (Wed, 18 Jul 2012) | 8 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-brp.c

Copy over r43800 from trunk:

  ------------------------------------------------------------------------
  r43800 | guy | 2012-07-18 16:06:20 -0700 (Wed, 18 Jul 2012) | 3 lines

  Fix a non-proto_tree_add_item() passing an ENC_ value as the last
  argument.

------------------------------------------------------------------------
r43803 | guy | 2012-07-18 16:19:39 -0700 (Wed, 18 Jul 2012) | 8 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-capwap.c

Copy over r43802 from trunk:

  ------------------------------------------------------------------------
  r43802 | guy | 2012-07-18 16:18:01 -0700 (Wed, 18 Jul 2012) | 3 lines

  Fix non-proto_tree_add_item() calls passing an ENC_ value as the last
  argument.

------------------------------------------------------------------------
r43805 | guy | 2012-07-18 16:28:32 -0700 (Wed, 18 Jul 2012) | 8 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-dnp.c

Copy over r43804 from trunk:

  ------------------------------------------------------------------------
  r43804 | guy | 2012-07-18 16:27:37 -0700 (Wed, 18 Jul 2012) | 3 lines

  Fix non-proto_tree_add_item() calls passing an ENC_ value as the last
  argument.

------------------------------------------------------------------------
r43807 | guy | 2012-07-18 16:31:48 -0700 (Wed, 18 Jul 2012) | 8 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-elcom.c

Copy over r43806 from trunk:

  ------------------------------------------------------------------------
  r43806 | guy | 2012-07-18 16:30:45 -0700 (Wed, 18 Jul 2012) | 3 lines

  Fix non-proto_tree_add_item() calls passing an ENC_ value as the last
  argument.

------------------------------------------------------------------------
r43809 | guy | 2012-07-18 16:36:30 -0700 (Wed, 18 Jul 2012) | 8 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-ieee80211.c

Copy over r43808 from trunk:

  ------------------------------------------------------------------------
  r43808 | guy | 2012-07-18 16:34:59 -0700 (Wed, 18 Jul 2012) | 3 lines

  Fix non-proto_tree_add_item() calls passing an ENC_ value as the last
  argument.

------------------------------------------------------------------------
r43811 | guy | 2012-07-18 16:38:53 -0700 (Wed, 18 Jul 2012) | 8 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-m2ua.c

Copy over r43810 from trunk:

  ------------------------------------------------------------------------
  r43810 | guy | 2012-07-18 16:37:59 -0700 (Wed, 18 Jul 2012) | 3 lines

  Fix non-proto_tree_add_item() calls passing an ENC_ value as the last
  argument.

------------------------------------------------------------------------
r43813 | guy | 2012-07-18 16:45:08 -0700 (Wed, 18 Jul 2012) | 8 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-zbee-aps.c

Copy over r43812 from trunk:

  ------------------------------------------------------------------------
  r43812 | guy | 2012-07-18 16:44:15 -0700 (Wed, 18 Jul 2012) | 3 lines

  Fix non-proto_tree_add_item() calls passing an ENC_ value as the last
  argument.

------------------------------------------------------------------------
r43839 | gerald | 2012-07-19 17:17:42 -0700 (Thu, 19 Jul 2012) | 18 lines
Changed paths:
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/epan/dissectors/packet-ppp.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43784 | rbalint | 2012-07-18 08:14:45 -0700 (Wed, 18 Jul 2012) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ppp.c

  Fix crash in PPP dissector

  Make sure that there is enough space allocated for PPP encapsulated CRTP
  packet's header.
  The bug can be triggered on an x86_64 system using the cpature file attached to
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680056
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r43840 | gerald | 2012-07-19 17:36:09 -0700 (Thu, 19 Jul 2012) | 76 lines
Changed paths:
   M /trunk-1.8/asn1/snmp/packet-snmp-template.c
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/epan/dissectors/packet-bootp.c
   M /trunk-1.8/epan/dissectors/packet-eap.c
   M /trunk-1.8/epan/dissectors/packet-icmp.c
   M /trunk-1.8/epan/dissectors/packet-icmpv6.c
   M /trunk-1.8/epan/dissectors/packet-ieee80211.c
   M /trunk-1.8/epan/dissectors/packet-nas_eps.c
   M /trunk-1.8/epan/dissectors/packet-nfs.c
   M /trunk-1.8/epan/dissectors/packet-snmp.c
   M /trunk-1.8/epan/dissectors/packet-tcp.c
   M /trunk-1.8/ui/gtk/main_menubar.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43443 | pascal | 2012-06-22 13:44:52 -0700 (Fri, 22 Jun 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-bootp.c

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7391 :
  Do not use same name for filters with incompatible types
  ------------------------------------------------------------------------
  r43448 | pascal | 2012-06-23 07:36:21 -0700 (Sat, 23 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-icmp.c
     M /trunk/epan/dissectors/packet-icmpv6.c
     M /trunk/epan/dissectors/packet-tcp.c

  Do not use same name for filters with incompatible types
  ------------------------------------------------------------------------
  r43474 | pascal | 2012-06-25 04:12:54 -0700 (Mon, 25 Jun 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-nas_eps.c

  Fix dissection of NAS EPS Service Request message (broken in r42200)
  ------------------------------------------------------------------------
  r43556 | alagoutte | 2012-07-03 05:28:06 -0700 (Tue, 03 Jul 2012) | 10 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ieee80211.c

  From report of Dennis Mendoza via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7429
  Wireshark > 1.4 does not correctly read Association ID for PS Poll packets

  Wireless Frame with subtype 0x1a don't interpret the Association ID (always 0).

  Fix :
  proto_tree_add_uint() wasn't changed to proto_tree_add_item()

  #BACKPORT
  ------------------------------------------------------------------------
  r43560 | pascal | 2012-07-03 13:07:53 -0700 (Tue, 03 Jul 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-eap.c

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7430 :
  Dissection of EAP-SIM and EAP-AKA is broken
  ------------------------------------------------------------------------
  r43576 | darkjames | 2012-07-05 14:09:34 -0700 (Thu, 05 Jul 2012) | 6 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-nfs.c

  Fix bug #7436

  offset returned from dissect_nfs_open_claim4, dissect_nfs_openflag4 were different
  when we were building tree and where we didn't.
  Fix other similar cases.
  ------------------------------------------------------------------------
  r43600 | morriss | 2012-07-07 07:54:14 -0700 (Sat, 07 Jul 2012) | 5 lines
  Changed paths:
     M /trunk/ui/gtk/main_menubar.c

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7445 :

  "Find Next Mark" was duplicated in the Edit menu and "Find Previous Mark" was
  missing (the 2nd "Find Next Mark" would, if selected, find the previous mark).
  ------------------------------------------------------------------------
  r43648 | pascal | 2012-07-10 08:43:03 -0700 (Tue, 10 Jul 2012) | 3 lines
  Changed paths:
     M /trunk/asn1/snmp/packet-snmp-template.c
     M /trunk/epan/dissectors/packet-snmp.c

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7438 :
  Do not call tvb_ensure_length_remaining on an empty tvb
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r43842 | gerald | 2012-07-19 17:45:59 -0700 (Thu, 19 Jul 2012) | 57 lines
Changed paths:
   M /trunk-1.8/asn1/h248/packet-h248-template.c
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/epan/dissectors/packet-dvbci.c
   M /trunk-1.8/epan/dissectors/packet-h248.c
   M /trunk-1.8/epan/dissectors/packet-h248_annex_e.c
   M /trunk-1.8/epan/dissectors/packet-ses.c
   M /trunk-1.8/image/file_dlg_win32.rc
   M /trunk-1.8/ui/gtk/main.c
   M /trunk-1.8/ui/win32/file_dlg_win32.c

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43661 | etxrab | 2012-07-11 07:40:35 -0700 (Wed, 11 Jul 2012) | 3 lines
  Changed paths:
     M /trunk/asn1/h248/packet-h248-template.c
     M /trunk/epan/dissectors/packet-h248.c

  Revert part of revision 43107 which broke sub dissection of
  Signal and events as a new tvb wasn't created.
  |BASE_EXT_STRING also removed.
  ------------------------------------------------------------------------
  r43662 | etxrab | 2012-07-11 07:41:21 -0700 (Wed, 11 Jul 2012) | 1 line
  Changed paths:
     M /trunk/epan/dissectors/packet-h248_annex_e.c

  failure cause is an OCTET STRING not a string.
  ------------------------------------------------------------------------
  r43668 | pascal | 2012-07-11 13:20:10 -0700 (Wed, 11 Jul 2012) | 3 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-dvbci.c

  From Martin Kaiser via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7468 :
  DVB-CI/CI+: fix offset error in operator_info apdu
  ------------------------------------------------------------------------
  r43676 | gerald | 2012-07-11 14:25:42 -0700 (Wed, 11 Jul 2012) | 3 lines
  Changed paths:
     M /trunk/image/file_dlg_win32.rc
     M /trunk/ui/win32/file_dlg_win32.c

  MSDN says DIALOG resources are obsolete. Use DIALOGEXes instead. We aren't
  adding extra controls to the save dialog any more so remove its template.
  ------------------------------------------------------------------------
  r43763 | darkjames | 2012-07-17 06:01:17 -0700 (Tue, 17 Jul 2012) | 5 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ses.c

  Fix bug #7488: Unable to correctly identify IEC 61850 MMS packets

  In r39066 was added 'final check to see if the next SPDU, if present, is also valid',
  but it didn't properly check for tvb length which causes exception if there's no next SPDU.
  ------------------------------------------------------------------------


Copy over with manual intervention:

  ------------------------------------------------------------------------
  r43790 | etxrab | 2012-07-18 12:44:54 -0700 (Wed, 18 Jul 2012) | 1 line
  Changed paths:
     M /trunk/ui/gtk/main.c

  From Jakub Zawadzki use gtk_box_pack_start isof gtk_container_add fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7377
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r43863 | guy | 2012-07-20 10:35:49 -0700 (Fri, 20 Jul 2012) | 34 lines
Changed paths:
   M /trunk-1.8/file.c
   M /trunk-1.8/wiretap/Makefile.am
   M /trunk-1.8/wiretap/file_access.c
   M /trunk-1.8/wiretap/wtap.def
   M /trunk-1.8/wiretap/wtap.h

Copy over r43847 from trunk:

  ------------------------------------------------------------------------
  r43847 | guy | 2012-07-19 21:00:29 -0700 (Thu, 19 Jul 2012) | 21 lines

  Add a routine that, given a set of packet encapsulation types, returns
  the per-file encapsulation type needed to write out a set of packets
  with all those encapsulation types.  If there's only one such
  encapsulation type, that's the type, otherwise WTAP_ENCAP_PER_PACKET is
  needed.  Use that in wtap_dump_can_write_encaps().

  Also use it in cf_save_packets() and cf_export_specified_packets(), so
  that we can write out files with WTAP_ENCAP_PER_PACKET as the file
  encapsulation type and only one actual per-packet encapsulation type in
  some cases where that failed before.  This fixes the case that showed up
  in bug 7505, although there are other cases where we *could* write out a
  capture in a given file format but won't be able to do so; fixing those
  will take more work.

  #BACKPORT

  (Note: this adds a routine to libwiretap, so, when backported, the
  *minor* version of the library should be increased.  Code that worked
  with the version of the library prior to this change will continue to
  work, so there's no need to change the *major* version of the library.)

Rev library version stuff according to

	http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info

which, at least when building for OS X, does the right thing - the
library minor version number in the file name goes from 0 to 1, but the
major version is unchanged.

------------------------------------------------------------------------
r43865 | gerald | 2012-07-20 11:00:20 -0700 (Fri, 20 Jul 2012) | 20 lines
Changed paths:
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/packaging/nsis/Makefile.nmake
   M /trunk-1.8/packaging/nsis/wireshark.nsi

Copy over r43864 from the trunk:

  ------------------------------------------------------------------------
  r43864 | gerald | 2012-07-20 10:56:16 -0700 (Fri, 20 Jul 2012) | 8 lines
  Changed paths:
     M /trunk/packaging/nsis/Makefile.nmake
     M /trunk/packaging/nsis/wireshark.nsi

  According to

  http://blogs.msdn.com/b/astebner/archive/2010/10/20/10078468.aspx

  and bug 7507 the Visual C++ 2010 redistributable installer might want
  to reboot the system. Tell it not to do that and request a reboot at
  the end of the installation process if needed.
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r43876 | guy | 2012-07-20 17:13:17 -0700 (Fri, 20 Jul 2012) | 12 lines
Changed paths:
   M /trunk-1.8/file.c

Copy over r43875 from trunk:

  ------------------------------------------------------------------------
  r43875 | guy | 2012-07-20 17:12:21 -0700 (Fri, 20 Jul 2012) | 7 lines

  simple_message_box() does not expect Pango markup, so escaping is
  not necessary, and just messes up the display.

  Fixes bug 7489.

  #BACKPORT

------------------------------------------------------------------------
r43881 | guy | 2012-07-20 18:25:56 -0700 (Fri, 20 Jul 2012) | 14 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-reload-framing.c

Copy over r43880 from trunk:

  ------------------------------------------------------------------------
  r43880 | guy | 2012-07-20 18:24:54 -0700 (Fri, 20 Jul 2012) | 9 lines

  The 32-bit-key tree code assumes that the pointer to the key can be cast
  to a pointer to a guint32 and dereferenced.  On some platforms, such as
  SPARC, this requires that the pointer be aligned on a 4-byte boundary;
  there is no guarantee that the data field of an address structure is
  aligned on a 4-byte boundary, so allocate a buffer for a copy of that
  data and copy the data into it, and free it when we're done with it.

  Should fix bug 7501.

------------------------------------------------------------------------
r43884 | pascal | 2012-07-21 03:09:16 -0700 (Sat, 21 Jul 2012) | 10 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-jmirror.c

Copy over r43759 from trunk:

------------------------------------------------------------------------
r43759 | pascal | 2012-07-17 09:33:20 +0200 (mar. 17 juil. 2012) | 3 lignes

From Wayne Brassem via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7485 :
Add support for IPv6 over PPP in Jmirror dissector

------------------------------------------------------------------------

------------------------------------------------------------------------
r43885 | pascal | 2012-07-21 03:13:53 -0700 (Sat, 21 Jul 2012) | 10 lines
Changed paths:
   M /trunk-1.8/asn1/snmp/snmp.cnf
   M /trunk-1.8/epan/dissectors/packet-snmp.c

Copy over r43883 from trunk:

------------------------------------------------------------------------
r43883 | pascal | 2012-07-21 10:50:32 +0200 (sam. 21 juil. 2012) | 3 lignes

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7508 :
Display snmp.contextName as FT_STRING

------------------------------------------------------------------------

------------------------------------------------------------------------
r43903 | guy | 2012-07-21 18:29:09 -0700 (Sat, 21 Jul 2012) | 19 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-reload-framing.c

Copy over revision from trunk:

  ------------------------------------------------------------------------
  r43901 | eapache | 2012-07-21 12:18:12 -0700 (Sat, 21 Jul 2012) | 6 lines

  Fix mis-allocated key size as caught by valgrind.

  We have to divide the 'length' field to work with guint32 pointer arithmetic,
  but we still want to allocate and memcpy the original length value, since
  both of those operate in raw bytes, not blocks of sizeof(guint32).

  ------------------------------------------------------------------------
  r43898 | eapache | 2012-07-21 09:10:16 -0700 (Sat, 21 Jul 2012) | 5 lines

  The se_tree_* functions are destructive to the key, so save and restore
  the key around each call.

  Fixes part of https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7509

------------------------------------------------------------------------
r43904 | guy | 2012-07-21 18:33:42 -0700 (Sat, 21 Jul 2012) | 7 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-beep.c
   M /trunk-1.8/epan/dissectors/packet-xmpp.c
   M /trunk-1.8/epan/dissectors/packet-zrtp.c

Copy over r43747 from trunk:

  ------------------------------------------------------------------------
  r43747 | darkjames | 2012-07-16 05:09:19 -0700 (Mon, 16 Jul 2012) | 2 lines

  proto_tree_add_boolean() takes value not ENC_ flag.

------------------------------------------------------------------------
r43905 | guy | 2012-07-21 18:38:16 -0700 (Sat, 21 Jul 2012) | 12 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-xmpp-utils.c

Copy over r43899 from trunk:

  ------------------------------------------------------------------------
  r43899 | eapache | 2012-07-21 09:29:48 -0700 (Sat, 21 Jul 2012) | 8 lines

  Don't throw an assertion if we can't find certain XMPP attributes when
  trying to track sessions for iq, jabber, et al. Just return, so we can
  dissect whatever attributes we can find. An expert info already gets added
  later on.

  The other part of https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7509

------------------------------------------------------------------------
r43906 | guy | 2012-07-21 19:16:45 -0700 (Sat, 21 Jul 2012) | 8 lines
Changed paths:
   M /trunk-1.8/epan/dissectors/packet-dcerpc-spoolss.c

Copy over r43724 from trunk:

  ------------------------------------------------------------------------
  r43724 | pascal | 2012-07-15 08:26:57 -0700 (Sun, 15 Jul 2012) | 3 lines

  Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7479 :
  Provide an empty string when data pointer is not NULL (regression introduced in r43703)

------------------------------------------------------------------------
r43912 | gerald | 2012-07-22 07:34:08 -0700 (Sun, 22 Jul 2012) | 1 line
Changed paths:
   M /trunk-1.8/epan/enterprise-numbers
   M /trunk-1.8/manuf
   M /trunk-1.8/services

[Automatic manuf, services and enterprise-numbers update for 2012-07-22]
------------------------------------------------------------------------
r43932 | gerald | 2012-07-23 09:16:03 -0700 (Mon, 23 Jul 2012) | 25 lines
Changed paths:
   M /trunk-1.8/docbook/release-notes.xml
   M /trunk-1.8/epan/dissectors/packet-bacapp.c
   M /trunk-1.8/epan/dissectors/packet-ethertype.c
   M /trunk-1.8/epan/etypes.h

Copy over revisions from the trunk:

  ------------------------------------------------------------------------
  r43850 | jake | 2012-07-19 23:26:35 -0700 (Thu, 19 Jul 2012) | 2 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-ethertype.c
     M /trunk/epan/etypes.h

  Add some relevant ethertypes.
  ------------------------------------------------------------------------
  r43868 | wmeier | 2012-07-20 12:09:05 -0700 (Fri, 20 Jul 2012) | 7 lines
  Changed paths:
     M /trunk/epan/dissectors/packet-bacapp.c

  From Lori Tribble:
  Attached is a patch which corrects the string construction issue in the
  PropertyStates method.  This patch also corrects a spelling error for
  'utcTimeSyncronization' and adds decode support for this property.

  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6475#c8
  ------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
